Subject: [PATCH v4] ARM: perf: save/restore pmu registers in pm notifier

From: [email-masked] (Sudeep Holla)
Date: Wed, 14 May 2014 10:31:31 +0100

On 14/05/14 03:28, Neil Zhang wrote:
>> -----Original Message-----
>> From: Will Deacon [mailto:will.deacon at arm.com]
>> Sent: 2014?5?14? 2:45
>> To: Neil Zhang
>> Cc: Sudeep Holla; 'linux at arm.linux.org.uk';
>> 'linux-arm-kernel at lists.infradead.org'; 'linux-kernel at vger.kernel.org';
>> 'devicetree at vger.kernel.org'
>> Subject: Re: [PATCH v4] ARM: perf: save/restore pmu registers in pm notifier
>>
>> On Mon, May 12, 2014 at 11:22:09AM +0100, Neil Zhang wrote:
>>>>> The device tree bindings for power domains is under discussion [1]
>>>>
>>>> Thanks for the information.
>>>> But it currently for device only, core related stuff are not supported.
>>>> And is it really good to register power provider for core and let
>>>> vfp / pmu etc to get it?
>>>>
>>>
>>> What's your suggestion about it?
>>> Is it OK that I add it under the PMU node?
>>
>> I don't really mind. I just want to avoid re-inventing the wheel in a
>> PMU-specific way and having to maintain that code forever because it ended
>> up in our DT description.
>>
>> Will
>
> I will prepare another patch to add DT description under PMU since there is
> no generic power domain support for pm notifier if no other concerns.
> We can change the manner if there is generic power domain support for pm notifier later.
> Thanks.

No, please don't add any DT bindings for power domains specific to PMU node.
We can't change the DT bindings once added.

As I pointed out the DT bindings for generic power domains are under discussion.
See if you can reuse it, if not help in extending it so that it can be used.

Regards,
Sudeep